﻿using System;

namespace ThesisGenerator
{
    internal class Program
    {
        private static void Main(string[] args)
        {
            Console.WriteLine("THESIS GENERATOR");

            Int32 thesisCount = 0, roomSize = 0;
            Boolean inputError = false;
            do
            {
                Console.Write("Thesis count: ");
                try
                {
                    thesisCount = Int32.Parse(Console.ReadLine());
                    inputError = false;
                }
                catch (FormatException)
                {
                    inputError = true;
                }
            } while (inputError);
            do
            {
                Console.Write("Room size: ");
                try
                {
                    roomSize = Int32.Parse(Console.ReadLine());
                    inputError = false;
                }
                catch (FormatException)
                {
                    inputError = true;
                }
            } while (inputError);

            Model model;
            try
            {
                model = new Model(thesisCount, roomSize);
            }
            catch (ArgumentException ex)
            {
                Console.WriteLine(ex.Message);
                return;
            }
            while (Console.ReadLine() != "q")
            {
                Console.WriteLine("Next thesis: {0}", model.Next());
            }
        }
    }
}
