#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QTimer>

#include "generatormodel.h"

namespace Ui {
class MainWindow;
}

/**
 * Thesis generator view.
 * @author Máté Cserép
 */
class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = nullptr);
    ~MainWindow();

private slots:
    void onGenerated(int number);
    void onStartStop();
    void onTick();

    void onQuestionCountChanged(int number);
    void onPeriodCountChanged(int number);

private:
    Ui::MainWindow *ui;
    Model::GeneratorModel* model;
    QTimer *timer;

    int thesisNumber;
};

#endif // MAINWINDOW_H
